<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 09/09/2008 *
 * ===================                          Last change: 09/09/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : load_cache-revision.php                          *
 * -------------------------------------------------------------------- *
 * Short description : Load more cache files                            *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Mehr Cache-Dateien nachladen                     *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * Needs to be in all Files and every File needs "svn propset           *
 * svn:keywords Date Revision" (autoprobset!) at least!!!!!!            *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009, 2010 by Mailer Developer Team                    *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Next cached table is the revision...
if ($GLOBALS['cache_instance']->loadCacheFile('revision')) {
	// Load revision from cache
	$GLOBALS['cache_array']['revision'] = $GLOBALS['cache_instance']->getArrayFromCache();
} elseif ((getOutputMode() != 1)) {
	// Create cache file here
	$GLOBALS['cache_instance']->init();

	// add the new RevInfos in and saves it to the cache
	$GLOBALS['cache_instance']->addRow(getArrayFromActualVersion());

	// Close the cache
	$GLOBALS['cache_instance']->finalize();

	// Generate FQFN for old revision file
	$FQFN = sprintf("%s/.revision", getConfig('CACHE_PATH'));

	// Is it there?
	if (isFileReadable($FQFN)) {
		// Then remove it
		removeFile($FQFN);
	} // END - if
}

// [EOF]
?>
